// Output_1203.h: interface for the COutput_1203 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputBase.h"

class CAdvantechCommon_ACM;

class COutput_1203 : public COutputBase
{
public:
    COutput_1203(const COutputSetting& Setting);
    virtual ~COutput_1203();

    // method to set analog output voltage
    BOOL SetVoltage(double dVoltage, double dRange) override;

    BOOL SetState(bool bState) override;

private:
    std::unique_ptr<CAdvantechCommon_ACM> m_pCommon;
};
